Get the current API key
/keyAny keyReturns the key's scope and rate limit. Useful for checking a key works.
200 response · ApiKey
idstringrequiredOpaque identifier
namestringrequiredaccess"read" | "write"requiredallAgentsbooleanrequiredagentIdsstring[]requiredAgents the key can reach when
allAgentsis falsemessagingbooleanrequiredWhether the key may post customer messages for custom channels (
messages:write)expiresAtstring | nullrequiredISO 8601, UTC
rateLimitobjectrequiredrequestsintegerrequired· -9007199254740991–9007199254740991windowSecondsintegerrequired· -9007199254740991–9007199254740991
curl "https://www.igentrix.com/api/v1/key" \ -H "Authorization: Bearer $IGENTRIX_API_KEY"
Returns 200 with { data }. Errors: 401429
